Subject: Re: utf-8 filename woes

From: Jeff King <[email-masked]>
Date: Wed, 22 Apr 2015 16:19:37 -0400

On Wed, Apr 22, 2015 at 08:50:26PM +0100, Jeremy Harris wrote:

> Installing the git-debuginfo package gave no additional
> information.   The symptom does not show on a Fedora 21
> system with git 2.1.0 (and I note that gitk properly
> shows those filenames on f21, and does not on sl6).
> 
> Is this a known and fixed issue, or something my sl6
> system needs installing?

I'm not sure. v1.7.1 is 5 years old, and there have been a lot of fixes
since then.  I couldn't replicate your problem on v1.7.1 with a trivial
test. If you can reproduce it at will and you really want to know
where the fix is, you can try "reverse-bisecting":

  git clone git://git.kernel.org/pub/scm/git/git.git
  cd git
  git bisect start

  git checkout v1.7.1
  make
  [confirm that it shows the breakage]
  git bisect good

  git checkout v2.1.0
  make
  [confirm that it does not show the problem]
  git bisect bad

  ... follow the instructions, testing teach ...

Note that "good" and "bad" here are reversed of what you might expect.
"bisect" was designed for finding regressions, not fixes, and you have
to manually flip the two.

-Peff